Class | SOAP::Mapping::TypedStructFactory_
In: | soap/mapping/factory.rb
Parent: | Factory

### Methods

obj2soap soap2obj

### Public Instance methods

obj2soap(soap_class, obj, info, map)

[Source]

    # File soap/mapping/factory.rb, line 278
      def obj2soap(soap_class, obj, info, map)
        type = info[:type] || info[0]
        soap_obj = soap_class.new(type)
        mark_marshalled_obj(obj, soap_obj)
        if obj.class <= SOAP::Marshallable
          setiv2soap(soap_obj, obj, map)
        else
          setiv2soap(soap_obj, obj, map)
        end
        soap_obj
      end

soap2obj(obj_class, node, info, map)

[Source]

    # File soap/mapping/factory.rb, line 290
      def soap2obj(obj_class, node, info, map)
        type = info[:type] || info[0]
        unless node.type == type
          return false
        end
        obj = Mapping.create_empty_object(obj_class)
        mark_unmarshalled_obj(node, obj)
        setiv2obj(obj, node, map)
        return true, obj
      end

[Validate]